<template>
  <div class="nav" :class="{changeColor : scrollPosition >50}">
    <div class="route" >
      <router-link to="/">Home</router-link> 
      <a href="#" v-scroll-to="'#element'">About</a>
      <a href="#" v-scroll-to="'#portofolio'">Portofolio</a>

    </div>
  </div>
  <router-view />
</template>
<script>

export default {
 data(){
   return {
     scrollPosition: null
   }
 },
 methods: {
    updateScroll() {
       this.scrollPosition = window.scrollY
    }
},
mounted() {
    window.addEventListener('scroll', this.updateScroll);
}
}
</script>
<style>
@import url('https://fonts.googleapis.com/css2?family=Poppins:ital,wght@0,300;0,400;0,500;0,600;1,400&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Pacifico&display=swap');
*{
  margin: 0;
  box-sizing: border-box;
  padding: 0;
  font-family: Poppins;
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
}

body {
  text-align: center;
  background: #f3f3f5;
  position: relative;
}
body::after{
  font-family:Pacifico ;
  content:'<html>';
  font-size:10px;
  position: absolute;
  font-weight: 100;
  color : #df686896;
  left: 0;
  top:0;
}

body::before{
  font-family:Pacifico ;
  content:'</html>';
  font-size:10px;
  position: absolute;
  font-weight: 100;
  color : #df686896;
  left: 0;
  bottom:0;
}

.changeColor{
  background-color : #f3f3f5;
  box-shadow : 1px 3px 25px 2px #a8a8aa44 ;
  transition: all 0.3s linear;
}

.nav {
  padding: 10px;
  position: fixed;
  overflow: hidden;
  width : 100%;  
  z-index: 20;

}

.nav .route{
  display: flex;
  justify-content: flex-end;
}

.nav .route a{
  text-decoration: none;
  width: 100px;
  font-weight: bold;
  text-align: left;
  color: #2c3e50;
}
</style>
